import { contextBridge, ipcRenderer, remote } from "electron";

import env from "./lib/env";
import config from "./lib/config";
// import api from "./lib/api";
import { addWatermark } from "./lib/watermark";

export const electronInWindow = {
  dialog: remote.dialog,
  env: env,
  config,
  // api,
  addWatermark,
  updateEnv(env) {
    ipcRenderer.sendSync("update-env", env);
  },
};

contextBridge.exposeInMainWorld("electron", electronInWindow);
